> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cekura.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Async Metric Description Generation

> Enqueue a background job to generate a clean metric description. Returns a `progress_id`; poll `generate_clean_description_progress` until `status` is `completed` or `failed`.



## OpenAPI

````yaml post /test_framework/v1/metrics/generate_clean_description_bg/
openapi: 3.1.0
info:
  title: Cekura API
  version: v1
  description: >-
    Complete API documentation for the Cekura platform. This API provides
    endpoints for testing, observing, and evaluating AI voice agents — including
    managing agents, running evaluators, defining metrics, and analyzing call
    quality.
servers:
  - url: https://api.cekura.ai
security: []
paths:
  /test_framework/v1/metrics/generate_clean_description_bg/:
    post:
      tags:
        - test_framework
      summary: Start async clean description generation
      description: >-
        Enqueue a background job to generate a clean metric description. Returns
        a `progress_id`; poll `generate_clean_description_progress` until
        `status` is `completed` or `failed`.
      operationId: metrics-generate-clean-description-bg-create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CleanMetricDescriptionRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/CleanMetricDescriptionRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CleanMetricDescriptionRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateCleanDescriptionBgResponse'
          description: ''
      security:
        - api_key: []
components:
  schemas:
    CleanMetricDescriptionRequest:
      type: object
      properties:
        agent:
          type: integer
        metric_description:
          type: string
        eval_type:
          enum:
            - boolean
            - numeric
            - rating
            - enum
          type: string
          description: |-
            * `boolean` - boolean
            * `numeric` - numeric
            * `rating` - rating
            * `enum` - enum
          x-spec-enum-id: ae756482f906eddf
      required:
        - agent
        - eval_type
        - metric_description
    GenerateCleanDescriptionBgResponse:
      type: object
      properties:
        progress_id:
          type: string
      required:
        - progress_id
  securitySchemes:
    api_key:
      type: apiKey
      name: X-CEKURA-API-KEY
      in: header
      description: >-
        API Key Authentication. It should be included in the header of each
        request.

````